Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaperInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo

Direct Known Subclasses:
  ChartPaper2DInfo, ChartPaper3DInfo

    public class ChartPaperInfo

extends java.lang.Object

Contains the information of chart paper in the file.

Constructor Summary
`ChartPaperInfo()` Creates a `ChartPaperInfo` object with the default parameter.
`ChartPaperInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, AreaFormatInfo wall, AxisInfo xAxisInfo, YAxisInfo yAxisInfo)` Creates a `ChartPaperInfo` object with these parameters:

Method Summary
`LineFormatInfo` | `getGridX()` Gets the information of gridline of x axis.
`LineFormatInfo` | `getGridY()` Gets the information of gridline of y axis.
`int` | `getHeight()` Gets the height of chart paper.
`ChartAreaInfo` | `getPaperArea()` Gets the information of paper area.
`AreaFormatInfo` | `getWall()` Gets the information of chart wall.
`int` | `getWidth()` Gets the width of chart paper.
`int` | `getX()` Gets the x position of chart paper.
`AxisInfo` | `getXAxis()` Gets the information of x axis.
`int` | `getY()` Gets the y position of chart paper.
`YAxisInfo` | `getYAxis()` Gets the information of y axis.
`void` | `setGridX(LineFormatInfo gridX)` Sets the information of gridline of x axis.
`void` | `setGridY(LineFormatInfo gridY)` Sets the information of gridline of y axis.
`void` | `setHeight(int height)` Sets the height of chart paper.
`void` | `setPaperArea(ChartAreaInfo paperAreaInfo)` Sets the information of paper area.
`void` | `setWall(AreaFormatInfo wall)` Sets the information of chart wall.
`void` | `setWidth(int width)` Sets the width of chart paper.
`void` | `setX(int x)` Sets the x position of chart paper.
`void` | `setXAxis(AxisInfo xAxis)` Sets the information of x axis.
`void` | `setY(int y)` Sets the y position of chart paper.
`void` | `setYAxis(YAxisInfo yAxis)` Sets the information of y axis.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaperInfo

    public ChartPaperInfo()

  Creates a `ChartPaperInfo` object with the default parameter.

### ChartPaperInfo

    public ChartPaperInfo(int x,
                          int y,
                          int width,
                          int height,
                          ChartAreaInfo paperAreaInfo,
                          LineFormatInfo gridX,
                          LineFormatInfo gridY,
                          AreaFormatInfo wall,
                          AxisInfo xAxisInfo,
                          YAxisInfo yAxisInfo)

  Creates a `ChartPaperInfo` object with these parameters:

  Parameters:
    `x` - the x-position of upper-left corner on chart paper
    `y` - The y-position of upper-left corner on chart paper
    `width` - width of the chart paper
    `height` - height of the chart paper
    `paperAreaInfo` - the information of the chart paper
    `gridX` - the information of the gridline in x axis
    `gridY` - the information of the gridline in y axis
    `wall` - the information of chart wall
    `xAxisInfo` - the information of x axis
    `yAxisInfo` - the information of y axis

Method Detail

### setX

    public void setX(int x)

  Sets the x position of chart paper.

  Parameters:
    `x` - the x position of chart paper

### getX

    public int getX()

  Gets the x position of chart paper.

  Returns:
    the x position of chart paper

### setY

    public void setY(int y)

  Sets the y position of chart paper.

  Parameters:
    `y` - the y position of chart paper

### getY

    public int getY()

  Gets the y position of chart paper.

  Returns:
    the y position of chart paper

### setWidth

    public void setWidth(int width)

  Sets the width of chart paper.

  Parameters:
    `width` - the width of chart paper

### getWidth

    public int getWidth()

  Gets the width of chart paper.

  Returns:
    the width of chart paper

### setHeight

    public void setHeight(int height)

  Sets the height of chart paper.

  Parameters:
    `height` - the height of chart paper

### getHeight

    public int getHeight()

  Gets the height of chart paper.

  Returns:
    the height of chart paper

### setPaperArea

    public void setPaperArea(ChartAreaInfo paperAreaInfo)

  Sets the information of paper area.

  Parameters:
    `paperAreaInfo` - the information of paper area.

### getPaperArea

    public ChartAreaInfo getPaperArea()

  Gets the information of paper area.

  Returns:
    the information of paper area

### setGridX

    public void setGridX(LineFormatInfo gridX)

  Sets the information of gridline of x axis.

  Parameters:
    `gridX` - the information of gridline of x axis

### getGridX

    public LineFormatInfo getGridX()

  Gets the information of gridline of x axis.

  Returns:
    the information of gridline of x axis

### setGridY

    public void setGridY(LineFormatInfo gridY)

  Sets the information of gridline of y axis.

  Parameters:
    `gridY` - the information of gridline of y axis

### getGridY

    public LineFormatInfo getGridY()

  Gets the information of gridline of y axis.

  Returns:
    the information of gridline of y axis

### setWall

    public void setWall(AreaFormatInfo wall)

  Sets the information of chart wall.

  Parameters:
    `wall` - the information of chart wall

### getWall

    public AreaFormatInfo getWall()

  Gets the information of chart wall.

  Returns:
    the information of chart wall

### setXAxis

    public void setXAxis(AxisInfo xAxis)

  Sets the information of x axis.

  Parameters:
    `xAxis` - the information of x axis

### getXAxis

    public AxisInfo getXAxis()

  Gets the information of x axis.

  Returns:
    the information of x axis

### setYAxis

    public void setYAxis(YAxisInfo yAxis)

  Sets the information of y axis.

  Parameters:
    `yAxis` - the information of y axis

### getYAxis

    public YAxisInfo getYAxis()

  Gets the information of y axis.

  Returns:
    the information of y axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD